unbound: tcp_req_info Struct Reference

unbound 0.1

Data Fields
tcp_req_info Struct Reference

TCP request info. More...

`#include <listen_dnsport.h>`

## Data Fields
struct comm_point * | cp
| the TCP comm point for this.
struct sldns_buffer * | spool_buffer
| the buffer to use to spool reply from mesh into, it can then be copied to the result list and written.
int | in_worker_handle
| are we in worker_handle function call (for recursion callback)
int | is_drop
| is the comm point dropped (by worker handle).
int | is_reply
| is the comm point set to send_reply (by mesh new client in worker handle), if so answer is available in c.buffer
int | read_is_closed
| read channel has closed, just write pending results
int | read_again
| read again
int | num_open_req
| number of outstanding requests
struct tcp_req_open_item * | open_req_list
| list of outstanding requests
int | num_done_req
| number of pending writeable results
struct tcp_req_done_item * | done_req_list
| list of pending writable result packets, malloced one at a time

## Detailed Description

TCP request info.

List of requests outstanding on the channel, that are asked for but not yet answered back.

## Field Documentation

## ◆ cp

struct comm_point* tcp_req_info::cp

the TCP comm point for this.

Its buffer is used for read/write

Referenced by comm_point_create_tcp_handler(), tcp_req_info_clear(), tcp_req_info_handle_read_close(), tcp_req_info_handle_readdone(), tcp_req_info_handle_writedone(), tcp_req_info_send_reply(), tcp_req_info_setup_listen(), and tcp_req_info_start_write_buf().

## ◆ spool_buffer

struct sldns_buffer* tcp_req_info::spool_buffer

the buffer to use to spool reply from mesh into, it can then be copied to the result list and written.

it is a pointer to the shared udp buffer.

Referenced by comm_point_send_reply(), mesh_new_client(), mesh_query_done(), mesh_serve_expired_callback(), reply_and_prefetch(), tcp_req_info_create(), tcp_req_info_handle_readdone(), and tcp_req_info_send_reply().

## ◆ is_drop

int tcp_req_info::is_drop

is the comm point dropped (by worker handle).

That means we have to disconnect the channel.

Referenced by comm_point_drop_reply(), and tcp_req_info_handle_readdone().

The documentation for this struct was generated from the following file:

- services/listen_dnsport.h